<!doctype html>
<html lang="en" class="h-100">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="/assets/css/bootstrap.min.css">
    <link rel="stylesheet" href="/assets/css/style.css">
    <link rel="shortcut icon" href="/assets/img/favicon.ico" type="image/x-icon">

    <title><%= title %></title>
   
  </head>
  <body class="d-flex flex-column h-100">
    
    <div class="container pt-4 pb-4">
        <nav class="navbar navbar-expand-lg navbar-light bg-light rounded">
            <a class="navbar-brand" href="#">Webgallery Admin</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExample09" aria-controls="navbarsExample09" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
    
            <div class="collapse navbar-collapse" id="navbarsExample09">
                <ul class="navbar-nav mr-auto">
                    <li class="nav-item active">
                        <a class="nav-link" href="index.html">Home <span class="sr-only">(current)</span></a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="http://localhost:3000/admin/users/create">Create</a>
                    </li>
                </ul>
                <form class="form-inline my-2 my-md-0">
                <input class="form-control" type="text" placeholder="Search" aria-label="Search">
                </form>
            </div>
        </nav>
    </div>
        
    <main role="main" class="flex-shrink-0">
        <div class="container">
            <h1>List of User</h1>
            <table class="table table-striped table-hover">
                <script>
                    function deleted(username){
                        $.ajax({
                            url: 'http://localhost:3000/user/'+username,
                            type: 'DELETE'
                        }).then(function(){alert("Usuario eliminado"); location.reload()})
                    }
                </script>
                <thead>
                    <tr>
                    <th scope="col">#</th>
                    <th scope="col">Usuario</th>
                    <th scope="col">Nombre</th>
                    <th scope="col">Correo</th>
                    <th scope="col">Acciones</th>
                    </tr>
                </thead>
                
                <tbody>
                    <% if(users) {users.forEach( user=>{%>
                    
                    <tr>
                    <th scope="row">1</th>
                    <td><%= user.username%></td>
                    <td><%= user.name%></td>
                    <td><%= user.email%></td>
                    <td>
                        <a href="http://localhost:3000/admin/users/<%=user.username%>"><button class="btn btn-primary btn-sm">View</button></a>
                        <a href="http://localhost:3000/admin/users/edit/<%=user.username%>"><button class="btn btn-outline-primary btn-sm">Edit</button></a>
                        <button id="btn<%=user.username%>" onclick="deleted('<%=user.username%>')" class="btn deletebnt btn-danger btn-sm">Delete</button>
                    </td>
                    </tr>
                    <% }) }%>
                    
                </tbody>
                
            </table>
        </div>
    </main>
      
    <footer class="footer mt-auto py-3">
        <div class="container pb-5">
            <hr>
            <span class="text-muted">
            </span>
        </div>
    </footer>

    
    <script src="/assets/js/jquery-3.3.1.slim.min.js"></script>
    <script src="/assets/js/popper.min.js"></script>
    <script src="/assets/js/bootstrap.min.js"></script>
    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
  </body>
</html>